// #autoload
// #name = Chat sounds
// #version = 0.5.1
// #date = 2004-05-22
// #author = Ben Winslow
// #warrior = Raineth
// #description = Make a noise whenever someone sends a new text chat, and log chats to the console.
// #status = beta
// #readme = scripts/autoexec/rain/txt/chatsounds.txt
// #category = Rain's scripts

package chatSounds {
	function clientCmdChatMessage(%sender, %voice, %pitch, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10)
	{
		%wav = strstr(%msgString, "~w");
		// no wav, log it in the console and play a sound
		if (%wav == -1) {
			%clean = stripChars(%msgString, "\c3\c4\c5");
			%chatstr = nextToken(%clean, tag, " ");
		
			echo("Chat: " @ %chatstr);
			
			// make noise
			%sfx = alxCreateSource(AudioChat, "fx/misc/diagnostic_beep.wav");
			alxPlay(%sfx);
		}
		parent::clientCmdChatMessage(%sender, %voice, %pitch, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10);
	}
};
